Subject: Re: gitweb pathinfo improvements

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2008 12:02:37 -0700

Please don't top post ;-).

Giuseppe Bilotta <[email-masked]> writes:

> Damn, I forgot the patch sequence numbers.

And please don't send a message without useful contents.  Instead of
cursing alone, after that sentence you could have said:

    Each of them is a reply to the previous one in the sequence so if your
    MUA threads correctly that is the order of the patches in the sequence,
    but in case yours doesn't, they should apply in this order:

        [PATCH 1/5] gitweb: action in path with use_pathinfo
        [PATCH 2/5] gitweb: use_pathinfo filenames start with /
        [PATCH 3/5] gitweb: parse parent..current syntax from pathinfo
        [PATCH 4/5] gitweb: use_pathinfo creates parent..current paths
        [PATCH 5/5] gitweb: remove PATH_INFO from $my_url and $my_uri